Bug 20010 - use Modern::Perl in Patroncards perl scripts
Summary: use Modern::Perl in Patroncards perl scripts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Grace
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 2505
  Show dependency treegraph
 
Reported: 2018-01-17 19:45 UTC by Aleisha Amohia
Modified: 2018-02-16 00:59 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20010: use Modern::Perl in Patroncards perl scripts (4.29 KB, patch)
2018-01-18 04:01 UTC, Grace
Details | Diff | Splinter Review
Bug 20010: use Modern::Perl in Patroncards perl scripts (4.29 KB, patch)
2018-01-24 18:26 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 20010: use Modern::Perl in Patroncards perl scripts (4.35 KB, patch)
2018-01-24 18:34 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 20010: use Modern::Perl in Patroncards perl scripts (4.46 KB, patch)
2018-02-04 13:33 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-17 19:45:40 UTC
use Modern::Perl should be used instead of use strict; use warnings;

Relevant in:
create-pdf.pl
edit-batch.pl
edit-layout.pl
edit-profile.pl
edit-template.pl
home.pl
image-manage.pl
manage.pl
print.pl
Comment 1 Grace 2018-01-18 04:01:36 UTC
Created attachment 70680 [details] [review]
Bug 20010: use Modern::Perl in Patroncards perl scripts

Test Plan:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

create-pdf.pl
edit-batch.pl
edit-layout.pl
edit-profile.pl
edit-template.pl
home.pl
image-manage.pl
manage.pl
print.pl
Comment 2 Jon Knight 2018-01-24 18:26:11 UTC
Created attachment 70888 [details] [review]
Bug 20010: use Modern::Perl in Patroncards perl scripts

Test Plan:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

create-pdf.pl
edit-batch.pl
edit-layout.pl
edit-profile.pl
edit-template.pl
home.pl
image-manage.pl
manage.pl
print.pl
Comment 3 Jon Knight 2018-01-24 18:34:15 UTC
Created attachment 70891 [details] [review]
Bug 20010: use Modern::Perl in Patroncards perl scripts

Test Plan:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

create-pdf.pl
edit-batch.pl
edit-layout.pl
edit-profile.pl
edit-template.pl
home.pl
image-manage.pl
manage.pl
print.pl

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 4 Katrin Fischer 2018-02-04 13:33:26 UTC
Created attachment 71189 [details] [review]
Bug 20010: use Modern::Perl in Patroncards perl scripts

Test Plan:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

create-pdf.pl
edit-batch.pl
edit-layout.pl
edit-profile.pl
edit-template.pl
home.pl
image-manage.pl
manage.pl
print.pl

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-02-05 12:59:27 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-02-16 00:59:08 UTC
Awesome work all! Enhancement not backported to stable.